-- Create the HengeLocale global table if needed
if not HengeLocale then
	HengeLocale = {}
end
-- Load up AceLocale
local ML = AceLibrary("AceLocale-2.2"):new("TotemHenge")
local isLoaded = false

-- Create our translation loader
function HengeLocale:LoadTotemHenge()
	if not isLoaded then
		-- Register our translations
		ML:RegisterTranslations("esES", function() return {
			["Earth Totem"] = "Tótem de tierra",
			["Change earth totem to cast."] = "Cambia el tótem de tierra a lanzar",
			["Fire Totem"] = "Tótem de fuego",
			["Change fire totem to cast."] = "Cambia el tótem de fuego a lanzar",
			["Water Totem"] = "Tótem de agua",
			["Change water totem to cast."] = "Cambia el tótem de agua a lanzar",
			["Air Totem"] = "Tótem de aire",
			["Change air totem to cast."] = "Cambia el tótem de aire a lanzar",
			["Weapon Buff"] = "Buff de arma",
			["Change weapon buff to cast."] = "Cambia el buff de arma a lanzar",
			["Cast Earth Totem"] = "Lanzar Tótem de tierra",
			["Cast Fire Totem"] = "Lanzar Tótem de fuego",
			["Cast Water Totem"] = "Lanzar Tótem de agua",
			["Cast Air Totem"] = "Lanzar Tótem de aire",
			["Cast Weapon Buff"] = "Lanzar buff de arma",
			["Earth Totem Menu"] = "Menú de Tótem de tierra",
			["Fire Totem Menu"] = "Menú de Tótem de fuego",
			["Water Totem Menu"] = "Menú de Tótem de agua",
			["Air Totem Menu"] = "Menú de Tótem de aire",
			["Weapon Buff Menu"] = "Menú de Buff de arma",
			["Reincarnation Cooldown"] = "Enfriamiento de Reencarnación",
			["Mana"] = "Maná",
			["Mana Potion"] = "Poción de maná",
			["Elemental Shields"] = "Escudos elementales",
			["Improved Reincarnation"] = "Reencarnación mejorada"
		} end)
		isLoaded = true
	end
	-- Return the translation table
	return ML
end
